/*
 * Copyright 2013 Mark Slater
 *
 * Licensed under the Apache License, Version 2.0 (the "License"); you may not use this file except in compliance with the License. You may obtain a copy of the License at
 *
 * 	http://www.apache.org/licenses/LICENSE-2.0
 *
 * Unless required by applicable law or agreed to in writing, software distributed under the License is distributed on an "AS IS" BASIS, WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied. See the License for the specific language governing permissions and limitations under the License.
 */

package net.sourceforge.xazzle.xhtml;


public final class Medium implements AttributeValue {
    public static final Medium SCREEN = medium("screen");
    public static final Medium TELETYPE = medium("tty");
    public static final Medium TV = medium("tv");
    public static final Medium PROJECTION = medium("projection");
    public static final Medium HANDHELD = medium("handheld");
    public static final Medium PRINT = medium("print");
    public static final Medium BRAILLE = medium("braille");
    public static final Medium AURAL = medium("aural");
    public static final Medium ALL = medium("all");

    private final String xhtmlStringValue;

    private Medium(final String xhtmlStringValue) {
        this.xhtmlStringValue = xhtmlStringValue;
    }

    public static Medium medium(final String xhtmlStringValue) {
        return new Medium(xhtmlStringValue);
    }

    public String asString() {
        return xhtmlStringValue;
    }
}
