/*
 * Copyright 2013 Mark Slater
 *
 * Licensed under the Apache License, Version 2.0 (the "License"); you may not use this file except in compliance with the License. You may obtain a copy of the License at
 *
 * 	http://www.apache.org/licenses/LICENSE-2.0
 *
 * Unless required by applicable law or agreed to in writing, software distributed under the License is distributed on an "AS IS" BASIS, WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied. See the License for the specific language governing permissions and limitations under the License.
 */

package net.sourceforge.xazzle.xhtml;

import static net.sourceforge.writexml.Attribute.attribute;
import static net.sourceforge.writexml.AttributeName.attributeName;
import static net.sourceforge.writexml.AttributeValue.attributeValue;


abstract class TabbableStandardXhtmlTag<T extends TabbableStandardXhtmlTag<T, U>, U extends XhtmlTag> extends StandardXhtmlTag<T, U> {
    TabbableStandardXhtmlTag(final net.sourceforge.writexml.TagName tagName, final net.sourceforge.writexml.Attributes attributes, final Iterable<? extends U> children) {
        super(tagName, attributes, children);
    }

    public final T withAccessKey(final AccessKey accessKey) {
        return makeANewOne(attribute(attributeName("accesskey"), attributeValue(accessKey.asString()), NAMESPACE));
    }

    public final T withTabIndex(final TabIndex tabIndex) {
        return makeANewOne(attribute(attributeName("tabindex"), attributeValue(tabIndex.asString()), NAMESPACE));
    }
}
